Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class RemittanceLocation4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.RemittanceLocation4

    public class RemittanceLocation4
    extends java.lang.Object

Java class for RemittanceLocation4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceLocation4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RmtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="RmtLctnDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}RemittanceLocationDetails1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `rmtId`
`protected java.util.List<RemittanceLocationDetails1>` `rmtLctnDtls`

### Constructor Summary

Constructors
`RemittanceLocation4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRmtId()` Gets the value of the rmtId property.
`java.util.List<RemittanceLocationDetails1>` `getRmtLctnDtls()` Gets the value of the rmtLctnDtls property.
`void` `setRmtId​(java.lang.String value)` Sets the value of the rmtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rmtId

    protected java.lang.String rmtId

#### rmtLctnDtls

    protected java.util.List<RemittanceLocationDetails1> rmtLctnDtls

### Constructor Detail

#### RemittanceLocation4

    public RemittanceLocation4()

### Method Detail

#### getRmtId

    public java.lang.String getRmtId()

Gets the value of the rmtId property.

Returns:
  possible object is `String`

#### setRmtId

    public void setRmtId​(java.lang.String value)

Sets the value of the rmtId property.

Parameters:
  `value` - allowed object is `String`

#### getRmtLctnDtls

    public java.util.List<RemittanceLocationDetails1> getRmtLctnDtls()

Gets the value of the rmtLctnDtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rmtLctnDtls property.

For example, to add a new item, do as follows:

        getRmtLctnDtls().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocationDetails1`